Skip to main content
PUT
/
budgeting
/
incomes
/
{id}
Update a income
curl --request PUT \
  --url https://grosh.muathye.com/api/budgeting/incomes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency_id": "<string>",
  "category_id": "<string>",
  "amount": 1.01,
  "date": "2023-12-25",
  "asset_account_id": "<string>"
}
'
{
  "id": "<string>",
  "kind": "expense",
  "date": "2023-12-25",
  "currency_id": "<string>",
  "currency_code": "<string>",
  "base_currency_id": "<string>",
  "base_currency_code": "<string>",
  "category_id": "<string>",
  "asset_account_id": "<string>",
  "amount": 123,
  "base_amount": 123,
  "fx_rate": 123,
  "is_locked": true,
  "lines": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "account_name": "<string>",
      "debit": 123,
      "credit": 123,
      "debit_base": 123,
      "credit_base": 123,
      "memo": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
currency_id
string
required
category_id
string
required
amount
number
required
Required range: x >= 0.01
date
string<date> | null
asset_account_id
string | null

Response

200 - application/json

Successful response

id
string
kind
enum<string>
Available options:
expense,
income
date
string<date> | null
currency_id
string
currency_code
string | null
base_currency_id
string
base_currency_code
string | null
category_id
string | null
asset_account_id
string | null
amount
number
base_amount
number
fx_rate
number
is_locked
boolean
lines
object[]
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null